Put funnelsfunnelstep
PUT
/
funnels
/
funnel
/
step
/
{id}
cURL
curl --request PUT \
--url https://services.leadconnectorhq.com/funnels/funnel/step/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"stepId": "<string>",
"name": "<string>",
"pages": [
"<string>"
],
"sequence": 123,
"url": "<string>",
"type": "<string>",
"products": [
"<string>"
],
"originId": "<string>",
"split": true,
"control_traffic": 123,
"route_all_requests": true,
"additional_routes": [
"<string>"
],
"split_started_at": {},
"split_ended_at": {},
"domainName": "<string>"
}
'const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
stepId: '<string>',
name: '<string>',
pages: ['<string>'],
sequence: 123,
url: '<string>',
type: '<string>',
products: ['<string>'],
originId: '<string>',
split: true,
control_traffic: 123,
route_all_requests: true,
additional_routes: ['<string>'],
split_started_at: {},
split_ended_at: {},
domainName: '<string>'
})
};
fetch('https://services.leadconnectorhq.com/funnels/funnel/step/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://services.leadconnectorhq.com/funnels/funnel/step/{id}"
payload = {
"stepId": "<string>",
"name": "<string>",
"pages": ["<string>"],
"sequence": 123,
"url": "<string>",
"type": "<string>",
"products": ["<string>"],
"originId": "<string>",
"split": True,
"control_traffic": 123,
"route_all_requests": True,
"additional_routes": ["<string>"],
"split_started_at": {},
"split_ended_at": {},
"domainName": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Response
200 - undefined
Last modified on May 19, 2026
Was this page helpful?
cURL
curl --request PUT \
--url https://services.leadconnectorhq.com/funnels/funnel/step/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"stepId": "<string>",
"name": "<string>",
"pages": [
"<string>"
],
"sequence": 123,
"url": "<string>",
"type": "<string>",
"products": [
"<string>"
],
"originId": "<string>",
"split": true,
"control_traffic": 123,
"route_all_requests": true,
"additional_routes": [
"<string>"
],
"split_started_at": {},
"split_ended_at": {},
"domainName": "<string>"
}
'const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
stepId: '<string>',
name: '<string>',
pages: ['<string>'],
sequence: 123,
url: '<string>',
type: '<string>',
products: ['<string>'],
originId: '<string>',
split: true,
control_traffic: 123,
route_all_requests: true,
additional_routes: ['<string>'],
split_started_at: {},
split_ended_at: {},
domainName: '<string>'
})
};
fetch('https://services.leadconnectorhq.com/funnels/funnel/step/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://services.leadconnectorhq.com/funnels/funnel/step/{id}"
payload = {
"stepId": "<string>",
"name": "<string>",
"pages": ["<string>"],
"sequence": 123,
"url": "<string>",
"type": "<string>",
"products": ["<string>"],
"originId": "<string>",
"split": True,
"control_traffic": 123,
"route_all_requests": True,
"additional_routes": ["<string>"],
"split_started_at": {},
"split_ended_at": {},
"domainName": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)